/*!
 * @file glgui_pushbutton.h
 * The gl_pushbutton widget of th openglGUI
 *
 */

#ifndef _GLGUI_PUSHBUTTON_H
#define _GLGUI_PUSHBUTTON_H

#include "glgui_button.h"

namespace OrxGui
{

  // FORWARD DECLARATION

  //! This is part of the openglGUI class
  /**
   *
   */
  class GLGuiPushButton : public GLGuiButton
  {

  public:
    GLGuiPushButton(const std::string& label = "");
    virtual ~GLGuiPushButton();


    virtual void receivedFocus();
    virtual void removedFocus();
    virtual void clicked();
    virtual void released();


    virtual void draw() const;
    virtual void update();
  protected:
    virtual void resize();


  private:
    void init();

  };
}
#endif /* _GLGUI_PUSHBUTTON_H */
